January 30th 2016 trouble logging in with older versions of the Surge CLI

The original post is preserved below.


If you are currently running an older version of Surge, you might have a problem logging in right now. This affects all versions of the Surge CLI below v0.14.4. The current version is v0.17.7. You can check what version you are running by running:

surge --version

Updating to the latest version of the Surge CLI will fix the problem:

npm install --global surge

Regardless of what version you are using, it’s not a bad idea to update.

I’d like to apologize for the interruption. We will work on resolving the issue with the older versions of the client. In the meantime the fastest solution is to update to the latest version of the Surge CLI.

If you have questions or would like to get our follow-up post, you can join us in our Slack channel, or follow @surge_sh on Twitter.